Package org.gradle.nativeplatform

# Interface TargetedNativeComponent

All Superinterfaces:
  `ComponentSpec`, `ModelElement`, `Named`, `NativeComponentSpec`, `PlatformAwareComponentSpec`, `VariantComponent`, `VariantComponentSpec`

All Known Subinterfaces:
  `NativeExecutableSpec`, `NativeLibrarySpec`

@Incubating public interface TargetedNativeComponent extends PlatformAwareComponentSpec, NativeComponentSpec
A native component that can be configured to target certain variant dimensions. This functionality is a temporary workaround to eliminate configuration of unnecessary domain objects and tasks.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`targetBuildTypes(String... buildTypeSelectors)`
Specifies the names of one or more `BuildType`s that this component should be built for.
`void`
`targetFlavors(String... flavorSelectors)`
Specifies the names of one or more `Flavor`s that this component should be built for.

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName`

### Methods inherited from interface org.gradle.nativeplatform.NativeComponentSpec

`getBaseName, setBaseName`

### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

`targetPlatform`

### Methods inherited from interface org.gradle.platform.base.VariantComponent

`getName, getVariants`

### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

`getBinaries`

## Method Details

### targetFlavors

void targetFlavors(String... flavorSelectors)
Specifies the names of one or more `Flavor`s that this component should be built for.

### targetBuildTypes

void targetBuildTypes(String... buildTypeSelectors)
Specifies the names of one or more `BuildType`s that this component should be built for.